/*
     File:       GBBasicsKit/GBBasicsKit.h
 
     Contains:   Master include for all of GBBasicsKit
 
     Version:    1.0
 
     Copyright:  2002 Andreas Schwarz (schwarz@mac.com)
*/


#ifndef __GBBASICSKIT__
#define __GBBASICSKIT__

	#import <Cocoa/Cocoa.h>
    
	// Functions and Types
	#import <GBBasicsKit/GBTypes.h>
	#import <GBBasicsKit/GBUtilityFunctions.h>

	// Categories
    #import <GBBasicsKit/GBFileUtilities.h>
    #import <GBBasicsKit/GBImageUtilities.h>
    #import <GBBasicsKit/GBMiscUtilities.h>
	#import <GBBasicsKit/GBStringUtilities.h>
	#import <GBBasicsKit/GBMenuUtilities.h>
	#import <GBBasicsKit/GBWidgetUpdateUtilities.h>
	
	// Classes
	#import <GBBasicsKit/GBFileItem.h>
	#import <GBBasicsKit/GBAsynchronousThumbnailCreator.h>
	#import <GBBasicsKit/GBAsynchronousResourceStripper.h>

	// File Filters
	#import <GBBasicsKit/GBImageFileFilter.h>
	#import <GBBasicsKit/GBNoFoldersFileFilter.h>
	#import <GBBasicsKit/GBSupportedFileFilter.h>



	#define PREFSFILENAME				@"com.immaterialgoods.gbrowserprefs.plist"



#endif /* __GBBASICSKIT__ */

